List resolution links | Moov Documentation

List resolution links

List resolution links for the specified account.

To access this endpoint using an access token you'll need to specify the /accounts/{accountID}/profile.read scope.

GET

/accounts/{accountID}/resolution-links

Ask

curl -X GET "https://api.moov.io/accounts/{accountID}/resolution-links" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.07.00"

Ask

import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.resolutionLinks.list({
    accountID: "<id>",
  });

console.log(result);
}

run();

Ask

declare(strict_types=1);

require 'vendor/autoload.php';

use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;

$sdk = MoovPhp\Moov::builder()
    ->setSecurity(
        new Components\Security(
            username: '',
            password: '',
        )
    )
    ->build();

$response = $sdk->resolutionLinks->list(
    accountID: '<id>'
);

if ($response->resolutionLinks !== null) {
    // handle response
}

Ask

package hello.world;

import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.operations.ListResolutionLinksResponse;
import java.lang.Exception;

public class Application {

public static void main(String[] args) throws Exception {

Moov sdk = Moov.builder()
                .security(Security.builder()
                    .username("")
                    .password("")
                    .build())
            .build();

ListResolutionLinksResponse res = sdk.resolutionLinks().list()
                .accountID("<id>")
                .call();

if (res.resolutionLinks().isPresent()) {
            System.out.println(res.resolutionLinks().get());
        }
    }
}

Ask

from moovio_sdk import Moov
from moovio_sdk.models import components

with Moov(
    security=components.Security(
        username="",
        password="",
    ),
) as moov:

res = moov.resolution_links.list(account_id="<id>")

# Handle response
    print(res)

Ask

require 'moov_ruby'

Models = ::Moov::Models
s = ::Moov::Client.new(
  security: Models::Components::Security.new(
    username: '',
    password: ''
  )
)
res = s.resolution_links.list(account_id: '<id>')

unless res.resolution_links.nil?
  # handle response
end

Ask

using Moov.Sdk;
using Moov.Sdk.Models.Components;

var sdk = new MoovClient(security: new Security() {
    Username = "",
    Password = "",
});

var res = await sdk.ResolutionLinks.ListAsync(accountID: "<id>");

// handle response

The request completed successfully.

Ask

Example

[\
  {\
    "code": "bwebMOhZ85",\
    "accountID": "f47ac10b-58cc-4372-a567-0e02b2c3d479",\
    "partnerAccountID": "0d8e0d6e-e4a2-4f1b-8c3d-1b9e0f5a7c2d",\
    "recipient": "15555555555",\
    "url": "https://moov.link/r/bwebMOhZ85",\
    "createdOn": "2026-07-01T12:00:00Z",\
    "updatedOn": "2026-07-01T12:00:00Z",\
    "expiresOn": "2026-07-08T12:00:00Z",\
    "status": "active"\
  }\
]

Response headers

A unique identifier used to trace requests.

The request contained missing or expired authentication.

Response headers

A unique identifier used to trace requests.

The user is not authorized to make the request.

Response headers

A unique identifier used to trace requests.

Request was refused due to rate limiting.

Response headers

A unique identifier used to trace requests.

The request failed due to an unexpected error.

Response headers

A unique identifier used to trace requests.

The request failed because a downstream service failed to respond.

Response headers

A unique identifier used to trace requests.

Set this header to v2026.07.00 to use the API described in this specification. When omitted, the server defaults to v2024.01.00, which may not match the behavior documented here.

Possible values:

v2026.07.00

The ID of the merchant account this resolution link is associated with.

A unique identifier for a Moov resource. Supports UUID format (xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx) or typed format with base32-encoded UUID and type suffix (e.g., kuoaydiojf7uszaokc2ggnaaaa_xfer).

A unique nanoid identifier for the resolution link.

The date and time the resolution link was created.

The date and time the resolution link was disabled, if applicable.

The date and time the resolution link expires.

The ID of the partner account this resolution link is associated with.

The recipient contact information for the resolution link.

The current status of the resolution link.

The status of a resolution link.

Possible values:

active,

submitted,

completed,

disabled,

expired

The date and time the resolution link was last updated.

The URL of the resolution link.